### Method

# Foundry TextDocument watch_diagnostics

#### Declaration [src]

    FoundryOnTypeDiagnostics*
    foundry_text_document_watch_diagnostics (
      FoundryTextDocument* self
    )

#### Description [src]

Watches the document for changes and updates diagnostics in the resulting `FoundryOnTypeDiagnostics` which is a `GListModel`.

#### Return value

Type: `FoundryOnTypeDiagnostics`

A `FoundryOnTypeDiagnostics`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.